Koozali.org: home of the SME Server

Problems with session support ini setting session.use_trans_sid is enabled

Offline jameswilson

  • *
  • 788
  • +0/-0
    • Security Warehouse, trade security equipment
Hi All
Error message on updating php based ecomm

But all that i have read on here says this is disabled by default and as far as i can see im not enabling it by default.
Im using the web hosting contrib.

Is this a false positive?

Offline jameswilson

  • *
  • 788
  • +0/-0
    • Security Warehouse, trade security equipment
also noticed this which i assume is relevant
Code: [Select]
php81 -i


Code: [Select]
Directive => Local Value => Master Value
session.use_trans_sid => 1 => 1
« Last Edit: April 26, 2024, 06:52:17 PM by jameswilson »

Offline jameswilson

  • *
  • 788
  • +0/-0
    • Security Warehouse, trade security equipment
seems to be on for all php versions.

Is this a db command to disable. The treads i have found on here seem to suggest its disabled by default.
But the above command seems to suggest it is enabled, but im not 100% sure

Offline Jean-Philippe Pialasse

  • *
  • 2,818
  • +11/-0
  • aka Unnilennium
    • http://smeserver.pialasse.com
php cli is different from php-fpm. settings might differ.

however for this situation the php.ini is indeed to on and has no way to be changed currently. 

also php-fpm for ibays has not settings or overriding for it. 

you need to bug it.

Offline jameswilson

  • *
  • 788
  • +0/-0
    • Security Warehouse, trade security equipment
bug is here
https://bugs.koozali.org/show_bug.cgi?id=12651

can confirm the suggested template works

Offline Jean-Philippe Pialasse

  • *
  • 2,818
  • +11/-0
  • aka Unnilennium
    • http://smeserver.pialasse.com
as you see, i will take care for it in SME, happy the custom template suite you ifor the next months

Offline jameswilson

  • *
  • 788
  • +0/-0
    • Security Warehouse, trade security equipment
Yep works a treat thanks JP